{
  "description": "HPAScalingPolicy is a single policy which must hold true for a specified past interval.",
  "properties": {
    "periodSeconds": {
      "description": "PeriodSeconds specifies the window of time for which the policy should hold true. PeriodSeconds must be greater than zero and less than or equal to 1800 (30 min).",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "type": {
      "description": "Type is used to specify the scaling policy.",
      "type": [
        "string",
        "null"
      ]
    },
    "value": {
      "description": "Value contains the amount of change which is permitted by the policy. It must be greater than zero",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    }
  },
  "required": [
    "type",
    "value",
    "periodSeconds"
  ],
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "$id": "https://kubernetes.io/api/hpascalingpolicy/autoscaling/v2"
}